# Created by pyp2rpm-3.3.2
%global pypi_name dukpy

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 4
Summary:        Simple JavaScript interpreter for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/amol-/dukpy
Source0:        %{pypi_source}
Patch0:         linking.patch
BuildRequires:  pkgconfig(python3)

%description
DukPy is a simple javascript interpreter for Python built on top of duktape
engine without any external dependency.

%package -n     python3-%{pypi_name}
Summary:        Simple JavaScript interpreter for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(coveralls)
Requires:       python3dist(mock)
Requires:       python3dist(setuptools)
Requires:       python3dist(webassets)

%description -n python3-%{pypi_name}
DukPy is a simple javascript interpreter for Python built on top of duktape
engine without any external dependency.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dukpy

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/dukpy
%{_bindir}/dukpy-install


%changelog
* Sun Mar 02 2025 wally <wally> 0.3.0-4.mga10
+ Revision: 2156939
- rebuild for python3.13

* Tue Jan 28 2025 daviddavid <daviddavid> 0.3.0-3.mga10
+ Revision: 2142886
- remove unneeded python3-nose runtime dependency

* Mon Jan 29 2024 papoteur <papoteur> 0.3.0-2.mga10
+ Revision: 2035824
- rebuild for python 3.12

* Fri Apr 21 2023 kekepower <kekepower> 0.3.0-1.mga9
+ Revision: 1953779
- Update to version 0.3.0

* Sat Mar 19 2022 umeabot <umeabot> 0.2.3-4.mga9
+ Revision: 1799316
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.2.3-3.mga9
+ Revision: 1785009
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.2.3-2.mga9
+ Revision: 1717379
- rebuild for python 3.9

* Fri Jun 12 2020 kekepower <kekepower> 0.2.3-1.mga8
+ Revision: 1592969
- Update to version 0.2.3

* Sun Feb 16 2020 umeabot <umeabot> 0.2.2-5.mga8
+ Revision: 1532775
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 wally <wally> 0.2.2-4.mga8
+ Revision: 1443122
- add patch to fix linking
+ tv <tv>
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.2.2-3.mga8
+ Revision: 1435619
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 0.2.2-2.mga7
+ Revision: 1351247
- Rebuild for Python 3.7

* Thu Nov 01 2018 kekepower <kekepower> 0.2.2-1.mga7
+ Revision: 1327154
- imported package python-dukpy

